package cn.dankal.share.util;

import cn.dankal.share.common.InsertionSort;
import cn.dankal.share.common.IntArrayFactory;
import cn.dankal.share.common.MergeSort;
import org.junit.jupiter.api.Test;

import java.util.Arrays;

/**
 * Util 工具类测试类
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2021-01-02
 */
public class UtilMainTest {

    /**
     * 测试 插入排序
     */
    @Test
    public void testInsertSort() {
        int[] generateIntArray = IntArrayFactory.generateIntArray(20);
        System.out.println("排序前:");
        System.out.println(Arrays.toString(generateIntArray));
        System.out.println("========================");
        InsertionSort.doAscSort(generateIntArray);
        System.out.println("顺序排序后:");
        System.out.println(Arrays.toString(generateIntArray));
        System.out.println("倒序排序后:");
        InsertionSort.doDescSort(generateIntArray);
        System.out.println(Arrays.toString(generateIntArray));
        System.out.println("========================");
    }

    /**
     * 测试 MergeSort
     */
    @Test
    public void testMergeSort() {
        int[] generateIntArray = IntArrayFactory.generateIntArray(25);
        System.out.println("排序前:");
        System.out.println(Arrays.toString(generateIntArray));
        System.out.println("========================");
        MergeSort.sort(generateIntArray);
        System.out.println("排序后:");
        System.out.println(Arrays.toString(generateIntArray));
        System.out.println("========================");
    }

}
